## kopete 16.12.3

=== debian/changelog ===
kopete (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Remove CVE-2017-5593-User-Impersonation-Vulnerability-in-Jabber-
    protocol.patch, applied upstream.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:03 +0000

kopete (4:16.12.1-0ubuntu3) zesty; urgency=medium

  * SECURITY UPDATE: User Impersonation Vulnerability in Jabber protocol
    (LP: #1663950)
   - CVE-2017-5593-User-Impersonation-Vulnerability-in-Jabber-protocol.patch
   - CVE-2017-5593

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Feb 2017 18:19:49 -0600

kopete (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Removal of libjasper as per Debian lead.  This removes
    support for Yahoo.
    - Closes: #818212 & LP: 1612835

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 08 Feb 2017 20:45:05 +0000

kopete (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Fixing install file

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Build dep on libqjson-dev
  * New files to install
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:45 +0000

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.30~),
               kdepimlibs5-dev,
               libasound2-dev (>= 1.0.14a) [linux-any],
               libboost-dev,
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgif-dev,
               libgnutls28-dev,
               libgpgme11-dev,
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libmsn-dev (>= 4.1),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libqca2-dev (>= 2.0.0),
               libqimageblitz-dev (>= 1:0.0.4),
               libqjson-dev,
               libsoprano-dev,
               libsqlite3-dev,
               libsrtp0-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete

Package: libkopete4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: kdepim-runtime, libqca2-plugin-ossl, libqt4-sql-sqlite
Suggests: imagemagick, kdeartwork-emoticons, khelpcenter, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkopete4}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

## kopete 17.04.3

=== debian/changelog ===
kopete (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:00 +0100

kopete (4:16.12.3-0ubuntu3) artful; urgency=medium

  * Update install files to account for files no longer built after
    obsolete libmsn build-dependency was dropped in the last upload

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Jun 2017 10:28:23 +0100

kopete (4:16.12.3-0ubuntu2) artful; urgency=medium

  * Drop build-dependency on obsolete libmsn, already dropped in Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jun 2017 18:17:16 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
                libboost-dev,
@@ -26,7 +26,6 @@
                libjsoncpp-dev,
                libmeanwhile-dev,
                libmediastreamer-dev (>= 3.6),
-               libmsn-dev (>= 4.1),
                libortp-dev (>= 0.13),
                libotr5-dev,
                libqca2-dev (>= 2.0.0),
@@ -56,7 +55,7 @@
 Recommends: kopete (= ${binary:Version})
 Description: main Kopete library
  Kopete is an instant messaging and chat application with support for a wide
- variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
+ variety of services, such as AIM, Yahoo, ICQ, and Jabber.  Advanced
  features and additional protocols are available as plugins.
  .
  This package contains main Kopete library which is used by Kopete and its
@@ -72,7 +71,7 @@
 Suggests: imagemagick, kdeartwork-emoticons, khelpcenter, texlive-latex-base
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
- variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
+ variety of services, such as AIM, Yahoo, ICQ, and Jabber.  Advanced
  features and additional protocols are available as plugins.
  .
  This package is part of the KDE networking module.
@@ -85,7 +84,7 @@
          ${sameVersionDep:kdelibs5-dev:libkopete4}
 Description: development files for the Kopete instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
- variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
+ variety of services, such as AIM, Yahoo, ICQ, and Jabber. Advanced
  features and additional protocols are available as plugins.
  .
  This package contains development files needed for building Kopete plugins.

## kopete 17.08.3

=== protocols/CMakeLists.txt ===
option(WITH_testbed "Enable Kopete testbed protocol" ON)
option(WITH_oscar "Enable Kopete Oscar (ICQ and AIM) protocol" ON)
option(WITH_yahoo "Enable Kopete Yahoo protocol" ON)
option(WITH_qq "Enable Kopete QQ protocol" ON)
option(WITH_sms "Enable Kopete SMS protocol" ON)
option(WITH_groupwise "Enable Novell GroupWise Messenger protocol" ON)
option(WITH_winpopup "Enable Kopete winpopup protocol" ON)
option(WITH_gadu "Enable Kopete Gadu-Gadu protocol" ON)
option(WITH_jabber "Enable Kopete Jabber protocol" ON)
option(WITH_libjingle "Enable Kopete Jabber libjingle support" ON)
option(WITH_bonjour "Enable Kopete Bonjour protocol" ON)
option(WITH_irc "Enable Kopete IRC protocol" OFF)
option(WITH_wlm "Enable Window Live Messenger support" ON)
option(WITH_WLM_MEDIASTREAMER "Enable Windows Live Messenger voice clip support" ON)
option(WITH_meanwhile "Enable Kopete meanwhile protocol" ON)
option(WITH_skype "Enable Kopete Skype protocol" ON)

# Disable jingle support because it is not working and libiris does not support it
#if(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
#  message(STATUS "Building jingle support")
#  set(BUILD_JINGLE TRUE)
#else(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
#  message(STATUS "Not building jingle support (recommended)")
#  set(BUILD_JINGLE FALSE)
#endif(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)
set(BUILD_JINGLE FALSE)

if(OPENSSL_FOUND OR WIN32)
  if(EXPAT_FOUND AND LIBORTP_FOUND AND SRTP_FOUND AND JSONCPP_FOUND AND MEDIASTREAMER_FOUND AND WITH_libjingle)
    message(STATUS "Building jabber libjingle support")
    set(BUILD_LIBJINGLE TRUE)
  else(EXPAT_FOUND AND LIBORTP_FOUND AND SRTP_FOUND AND JSONCPP_FOUND AND MEDIASTREAMER_FOUND AND WITH_libjingle)
    message(STATUS "Not building jabber libjingle support")
    set(BUILD_LIBJINGLE FALSE)
  endif(EXPAT_FOUND AND LIBORTP_FOUND AND SRTP_FOUND AND JSONCPP_FOUND AND MEDIASTREAMER_FOUND AND WITH_libjingle)
else(OPENSSL_FOUND OR WIN32)
  message(STATUS "Not building jabber libjingle support")
  set(BUILD_LIBJINGLE FALSE)
endif(OPENSSL_FOUND OR WIN32)

if(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)
  message(STATUS "Building Windows Live Messenger voice clip support")
  set(BUILD_WLM_MEDIASTREAMER TRUE)
else(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)
  message(STATUS "Not building Windows Live Messenger voice clip support")
  set(BUILD_WLM_MEDIASTREAMER FALSE)
endif(MEDIASTREAMER_FOUND AND LIBORTP_FOUND AND WITH_WLM_MEDIASTREAMER)

include_directories(${KOPETE_INCLUDES})

if(WITH_wlm AND LIBMSN_FOUND AND Boost_FOUND)
  add_subdirectory( wlm )
endif(WITH_wlm AND LIBMSN_FOUND AND Boost_FOUND)

if(WITH_oscar)
  add_subdirectory( oscar )
endif(WITH_oscar)
if(WITH_yahoo AND JASPER_FOUND)
  add_subdirectory( yahoo ) 
endif(WITH_yahoo AND JASPER_FOUND)
if(WITH_qq)
  add_subdirectory( qq )
endif(WITH_qq)
if(WITH_irc)
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: WARNING: Building the irc plugin, even if  it hasn't been completely ported yet")
  add_subdirectory( irc )
endif(WITH_irc)
if(NOT WIN32)
  if(WITH_winpopup)
    add_subdirectory( winpopup )
  endif(WITH_winpopup)
  if(WITH_gadu AND LIBGADU_FOUND)
    add_subdirectory( gadu )
  endif(WITH_gadu AND LIBGADU_FOUND)
  if(WITH_sms)
    add_subdirectory( sms )
  endif(WITH_sms)
  if(NOT APPLE AND WITH_skype)
    add_subdirectory( skype )
  endif(NOT APPLE AND WITH_skype)
endif(NOT WIN32)

if(QCA2_FOUND AND ZLIB_FOUND)
  if(IDN_FOUND AND QJSON_FOUND)
    if(WITH_jabber)
      add_subdirectory( jabber )
    endif(WITH_jabber)
  else(IDN_FOUND AND QJSON_FOUND)
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Jabber because libidn-devel or qjson was not found")
  endif(IDN_FOUND AND QJSON_FOUND)
  if(WITH_groupwise)
    add_subdirectory( groupwise )
  endif(WITH_groupwise)
else(QCA2_FOUND AND ZLIB_FOUND)
  message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled GroupWise and Jabber because QCA2 was not found")
endif(QCA2_FOUND AND ZLIB_FOUND)

if(WITH_testbed)
  add_subdirectory( testbed )
endif(WITH_testbed)

if(WITH_bonjour)
  add_subdirectory( bonjour )
endif(WITH_bonjour)

if(WITH_meanwhile)
  if(LIBMEANWHILE_FOUND)
    add_subdirectory( meanwhile )
  else(LIBMEANWHILE_FOUND)
    message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: Disabled Meanwhile beause libmeanwhile was not found")
  endif(LIBMEANWHILE_FOUND)
endif(WITH_meanwhile)

=== doc-dev/t1/CMakeLists.txt ===
########### define cmake project ###########################

project(kopete_tutorial)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

########### install the plugins desktop file ###############

install(FILES kopete_tutorialplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kopete/statusmenu/CMakeLists.txt ===

include_directories( 
${KOPETE_INCLUDES} 
)


########### next target ###############

set( kopetestatusmenu_SRCS
  kopetestatuseditaction.cpp
  kopetestatusgroupaction.cpp
  kopetestatusaction.cpp
  kopeteonlinestatusaction.cpp
  kopetestatusrootaction.cpp
)

kde4_add_ui_files( kopetestatusmenu_SRCS
  kopetestatuseditwidget_base.ui
)

kde4_add_library( kopetestatusmenu SHARED ${kopetestatusmenu_SRCS} )
target_link_libraries( kopetestatusmenu kopete ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS} )
set_target_properties( kopetestatusmenu PROPERTIES VERSION 1.0.0 SOVERSION 1 )
install(TARGETS kopetestatusmenu ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

=== plugins/alias/CMakeLists.txt ===
include_directories( 
${KOPETE_INCLUDES} 
)


########### next target ###############

set(kopete_alias_PART_SRCS aliasplugin.cpp )

kde4_add_plugin(kopete_alias ${kopete_alias_PART_SRCS})


target_link_libraries(kopete_alias  ${KDE4_KDECORE_LIBS} kopete )

install(TARGETS kopete_alias  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_alias_PART_SRCS aliaspreferences.cpp editaliasdialog.cpp )

kde4_add_ui_files(kcm_kopete_alias_PART_SRCS aliasdialogbase.ui aliasdialog.ui )


kde4_add_plugin(kcm_kopete_alias ${kcm_kopete_alias_PART_SRCS})


target_link_libraries(kcm_kopete_alias  ${KDE4_KUTILS_LIBS} kopete )

install(TARGETS kcm_kopete_alias  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_alias.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kopete_alias_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== plugins/nowlistening/CMakeLists.txt ===

include_directories( ${KOPETE_INCLUDES} )
if(XMMS_FOUND)
  include_directories(${XMMS_INCLUDE_DIRS} )
  include_directories( ${GLIB2_INCLUDE_DIR} )
  add_definitions(-DHAVE_XMMS)
endif(XMMS_FOUND)

########### next target ###############

set(kopete_nowlistening_PART_SRCS
   nowlisteningplugin.cpp
   nlkscd.cpp
   nlxmms.cpp
   nowlisteningguiclient.cpp
   nljuk.cpp
   nlamarok.cpp
   nlquodlibet.cpp
   nlkaffeine.cpp
   nlmpris.cpp
   nlmpris2.cpp
)

kde4_add_kcfg_files(kopete_nowlistening_PART_SRCS nowlisteningconfig.kcfgc )

kde4_add_plugin(kopete_nowlistening ${kopete_nowlistening_PART_SRCS})


target_link_libraries(kopete_nowlistening  ${KDE4_KIO_LIBS} kopete)

if(XMMS_FOUND)
   target_link_libraries( kopete_nowlistening ${XMMS_LDFLAGS} )
endif(XMMS_FOUND)

install(TARGETS kopete_nowlistening  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_nowlistening_PART_SRCS nowlisteningpreferences.cpp )

kde4_add_ui_files(kcm_kopete_nowlistening_PART_SRCS nowlisteningprefs.ui )

kde4_add_kcfg_files(kcm_kopete_nowlistening_PART_SRCS nowlisteningconfig.kcfgc )


kde4_add_plugin(kcm_kopete_nowlistening ${kcm_kopete_nowlistening_PART_SRCS})


target_link_libraries(kcm_kopete_nowlistening  ${KDE4_KUTILS_LIBS})

install(TARGETS kcm_kopete_nowlistening  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES nowlisteningconfig.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kopete_nowlistening.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES nowlisteningui.rc nowlisteningchatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete)
install( FILES kopete_nowlistening_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== plugins/webpresence/CMakeLists.txt ===
include_directories(${KOPETE_INCLUDES} ${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR})

########### next target ###############

set(kopete_webpresence_PART_SRCS webpresenceplugin.cpp )

kde4_add_kcfg_files(kopete_webpresence_PART_SRCS webpresenceconfig.kcfgc )

kde4_add_plugin(kopete_webpresence ${kopete_webpresence_PART_SRCS})

target_link_libraries(kopete_webpresence  ${KDE4_KIO_LIBS} kopete ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES} ${QT_QTXML_LIBRARY})

install(TARGETS kopete_webpresence  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_webpresence_PART_SRCS webpresencepreferences.cpp )

kde4_add_ui_files(kcm_kopete_webpresence_PART_SRCS webpresenceprefs.ui )

kde4_add_kcfg_files(kcm_kopete_webpresence_PART_SRCS webpresenceconfig.kcfgc )

kde4_add_plugin(kcm_kopete_webpresence ${kcm_kopete_webpresence_PART_SRCS})

target_link_libraries(kcm_kopete_webpresence  ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBS} kopete )

install(TARGETS kcm_kopete_webpresence  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install(FILES webpresenceconfig.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kopete_webpresence.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES webpresence_html.xsl webpresence_html_images.xsl webpresence_xhtml.xsl webpresence_xhtml_images.xsl DESTINATION ${DATA_INSTALL_DIR}/kopete/webpresence)
install(FILES kopete_webpresence_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== protocols/yahoo/CMakeLists.txt ===

add_subdirectory( libkyahoo ) 
#add_subdirectory( ui ) 
add_subdirectory( icons ) 

include_directories( 
${KOPETE_INCLUDES} 
${CMAKE_CURRENT_SOURCE_DIR}/ui 
${CMAKE_CURRENT_SOURCE_DIR}/libkyahoo 
${JASPER_INCLUDE_DIR}
)

link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libkyahoo )

########### next target ###############

set(kopete_yahoo_ui_SRCS 
ui/yahooinvitelistimpl.cpp 
ui/yahoowebcamdialog.cpp 
ui/yahoouserinfodialog.cpp 
ui/yahoochatselectordialog.cpp
)

kde4_add_ui_files(kopete_yahoo_ui_SRCS 
ui/yahooadd.ui 
ui/yahooinvitelistbase.ui 
ui/yahooverifyaccountbase.ui 
ui/yahoostealthsetting.ui 
ui/yahoogeneralinfowidget.ui 
ui/yahooworkinfowidget.ui 
ui/yahoootherinfowidget.ui 
ui/yahooeditaccountbase.ui
ui/yahoochatselectorwidgetbase.ui
)

set(kopete_yahoo_PART_SRCS 
   ${kopete_yahoo_ui_SRCS} 
   yahooprotocol.cpp 
   yahoocontact.cpp 
   yahooaddcontact.cpp 
   yahooaccount.cpp 
   yahooeditaccount.cpp 
   yahooconferencemessagemanager.cpp 
   yahoochatchatsession.cpp
   yahoochatsession.cpp 
   yahooverifyaccount.cpp 
   yahoowebcam.cpp )


kde4_add_plugin(kopete_yahoo ${kopete_yahoo_PART_SRCS})

target_link_libraries(kopete_yahoo ${KDE4_KIO_LIBS} kopete kyahoo ${QT_QT3SUPPORT_LIBS} ${JASPER_LIBRARIES})
if(NOT DISABLE_VIDEOSUPPORT)
  target_link_libraries(kopete_yahoo kopete_videodevice)
endif(NOT DISABLE_VIDEOSUPPORT)

install(TARGETS kopete_yahoo  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_yahoo.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES yahooconferenceui.rc yahooimui.rc yahoochatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_yahoo)

=== kopete/config/plugins/CMakeLists.txt ===
include_directories( 
${KOPETE_INCLUDES} 
)

########### next target ###############

set(kcm_kopete_pluginconfig_PART_SRCS kopetepluginconfig.cpp )

kde4_add_plugin(kcm_kopete_pluginconfig ${kcm_kopete_pluginconfig_PART_SRCS})


target_link_libraries(kcm_kopete_pluginconfig  ${KDE4_KUTILS_LIBS} kopete)

install(TARGETS kcm_kopete_pluginconfig DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_pluginconfig.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== protocols/irc/libkirc/CMakeLists.txt ===

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/client
	${CMAKE_CURRENT_SOURCE_DIR}/kernel
	${KOPETE_INCLUDES}
)

set(libkirc_SRCS
	kernel/kircbytearrayescaper.cpp
#	kernel/kirccommand.cpp
	kernel/kircconst.cpp 
	kernel/kirccontext.cpp
	kernel/kircentity.cpp
	kernel/kircevent.cpp 
	kernel/kirchandler.cpp
	kernel/kirchandlerfactory.cpp
	kernel/kirchandlerplugin.cpp
	kernel/kircmessage.cpp
	kernel/kircmessageutil.cpp 
	kernel/kircsocket.cpp 
	kernel/kircstdmessages.cpp 
)

kde4_add_library(kirc SHARED ${libkirc_SRCS})

target_link_libraries(kirc ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_KDECORE_LIBS})
set_target_properties(kirc PROPERTIES VERSION 1.0.0 SOVERSION 1)

install(TARGETS kirc ${INSTALL_TARGETS_DEFAULT_ARGS})

set(libkirc_client_SRCS
	client/kircclienthandler.cpp

	client/kircclientchannelhandler.cpp
	client/kircclientlisthandler.cpp
	client/kircclientmotdhandler.cpp
	client/kircclientpingponghandler.cpp
	client/kircclientwhohandler.cpp

	client/kircclientsocket.cpp 
)

kde4_add_library(kirc_client SHARED ${libkirc_client_SRCS})

target_link_libraries(kirc_client kirc ${KDE4_KDECORE_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY})
set_target_properties(kirc_client PROPERTIES VERSION 1.0.0 SOVERSION 1)

install(TARGETS kirc_client ${INSTALL_TARGETS_DEFAULT_ARGS})

# add_subdirectory( plugins )

=== protocols/jabber/jingle/CMakeLists.txt ===
#TODO:Delete me

=== protocols/jabber/libiris/CMakeLists.txt ===

if(NOT WIN32)
  add_definitions(-fPIC)
else(NOT WIN32)
  if(MINGW)
    add_definitions(-DWIN32)
  endif(MINGW)
endif(NOT WIN32)

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}/src
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/jid
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore/cutestuff
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/xmpp-im
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/sasl
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/zlib
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base64
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/xmpp-core
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/jingle
${CMAKE_CURRENT_SOURCE_DIR}/src/jdns/include/jdns
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore/legacy
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/corelib
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/appledns

${QCA2_INCLUDE_DIR}
${IDN_INCLUDE_DIR}
${ZLIB_INCLUDE_DIR}
${DNSSD_INCLUDE_DIR}
)

set(iris_SRCS
src/xmpp/base/randomnumbergenerator.cpp
src/xmpp/base/timezone.cpp
src/xmpp/jid/jid.cpp
src/irisnet/noncore/cutestuff/httppoll.cpp
src/irisnet/noncore/cutestuff/socks.cpp
src/irisnet/noncore/cutestuff/bytestream.cpp
src/irisnet/noncore/cutestuff/bsocket.cpp
src/irisnet/noncore/cutestuff/httpconnect.cpp
src/xmpp/xmpp-im/xmpp_discoitem.cpp
src/xmpp/xmpp-im/client.cpp
src/xmpp/xmpp-im/types.cpp
src/xmpp/xmpp-im/xmpp_vcard.cpp
src/xmpp/xmpp-im/xmpp_xmlcommon.cpp
src/xmpp/xmpp-im/xmpp_ibb.cpp
src/xmpp/xmpp-im/xmpp_xdata.cpp
src/xmpp/xmpp-im/xmpp_task.cpp
src/xmpp/xmpp-im/xmpp_features.cpp
src/xmpp/xmpp-im/xmpp_discoinfotask.cpp
src/xmpp/xmpp-im/xmpp_bitsofbinary.cpp
src/xmpp/xmpp-im/xmpp_bytestream.cpp
src/xmpp/xmpp-im/xmpp_caps.cpp
src/xmpp/xmpp-im/s5b.cpp
src/xmpp/xmpp-im/xmpp_tasks.cpp
src/xmpp/xmpp-im/filetransfer.cpp
src/xmpp/sasl/digestmd5proplist.cpp
src/xmpp/sasl/digestmd5response.cpp
src/xmpp/sasl/plainmessage.cpp
src/xmpp/sasl/scramsha1message.cpp
src/xmpp/sasl/scramsha1signature.cpp
src/xmpp/sasl/scramsha1response.cpp
src/xmpp/zlib/zlibcompressor.cpp
src/xmpp/zlib/zlibdecompressor.cpp
src/xmpp/xmpp-core/tlshandler.cpp
src/xmpp/xmpp-core/xmpp_stanza.cpp
src/xmpp/xmpp-core/stream.cpp
src/xmpp/xmpp-core/securestream.cpp
src/xmpp/xmpp-core/simplesasl.cpp
src/xmpp/xmpp-core/xmlprotocol.cpp
src/xmpp/xmpp-core/protocol.cpp
src/xmpp/xmpp-core/sm.cpp
src/xmpp/xmpp-core/compressionhandler.cpp
src/xmpp/xmpp-core/parser.cpp
src/xmpp/xmpp-core/connector.cpp
src/irisnet/noncore/ice176.cpp
src/irisnet/noncore/icecomponent.cpp
src/irisnet/noncore/icetransport.cpp
src/irisnet/noncore/iceturntransport.cpp
src/irisnet/noncore/stunallocate.cpp
src/irisnet/noncore/legacy/ndns.cpp
src/irisnet/noncore/legacy/srvresolver.cpp
src/irisnet/noncore/legacy/safedelete.cpp
src/irisnet/noncore/legacy/servsock.cpp
src/irisnet/noncore/icelocaltransport.cpp
src/irisnet/noncore/stunmessage.cpp
src/irisnet/noncore/stunbinding.cpp
src/irisnet/noncore/stuntransaction.cpp
src/irisnet/noncore/stuntypes.cpp
src/irisnet/noncore/stunutil.cpp
src/irisnet/noncore/processquit.cpp
src/irisnet/noncore/turnclient.cpp
src/irisnet/noncore/udpportreserver.cpp
src/irisnet/corelib/netavailability.cpp
src/irisnet/corelib/netnames_jdns.cpp
src/irisnet/corelib/netnames.cpp
src/irisnet/corelib/irisnetplugin.cpp
src/irisnet/corelib/netinterface.cpp
src/irisnet/corelib/objectsession.cpp
src/irisnet/corelib/irisnetglobal.cpp

src/jdns/src/jdns/jdns_util.c
src/jdns/src/jdns/jdns_packet.c
src/jdns/src/jdns/jdns_mdnsd.c
src/jdns/src/jdns/jdns_sys.c
src/jdns/src/jdns/jdns.c
src/jdns/src/qjdns/qjdns_sock.cpp
src/jdns/src/qjdns/qjdns.cpp
src/jdns/src/qjdns/qjdnsshared.cpp

)

if(WIN32)
  LIST(APPEND iris_SRCS src/irisnet/corelib/netinterface_win.cpp)
else(WIN32)
  LIST(APPEND iris_SRCS src/irisnet/corelib/netinterface_unix.cpp)
endif(WIN32)

set(libiris_SRCS 
    ${cutestuff_SRCS} 
    ${iris_SRCS} 
)

 kde4_moc_headers(iris_kopete


src/xmpp/base/randrandomnumbergenerator.h
src/xmpp/base/randomnumbergenerator.h
src/xmpp/base/timezone.h
src/xmpp/jid/jid.h
src/irisnet/noncore/cutestuff/bytestream.h
src/irisnet/noncore/cutestuff/socks.h
src/irisnet/noncore/cutestuff/httpconnect.h
src/irisnet/noncore/cutestuff/bsocket.h
src/irisnet/noncore/cutestuff/httppoll.h
src/irisnet/noncore/iceturntransport.h
src/irisnet/noncore/icecomponent.h
src/irisnet/noncore/icetransport.h
src/irisnet/noncore/turnclient.h
src/irisnet/noncore/udpportreserver.h
src/xmpp/xmpp-im/xmpp_xdata.h
src/xmpp/xmpp-im/xmpp_rosterx.h
src/xmpp/xmpp-im/xmpp_tasks.h
src/xmpp/xmpp-im/xmpp_discoitem.h
src/xmpp/xmpp-im/xmpp_pubsubretraction.h
src/xmpp/xmpp-im/xmpp_xmlcommon.h
src/xmpp/xmpp-im/xmpp_roster.h
src/xmpp/xmpp-im/xmpp_muc.h
src/xmpp/xmpp-im/xmpp_htmlelement.h
src/xmpp/xmpp-im/xmpp_receipts.h
src/xmpp/xmpp-im/xmpp_message.h
src/xmpp/xmpp-im/xmpp_discoinfotask.h
src/xmpp/xmpp-im/xmpp_ibb.h
src/xmpp/xmpp-im/xmpp_liverosteritem.h
src/xmpp/xmpp-im/xmpp_httpauthrequest.h
src/xmpp/xmpp-im/xmpp_pubsubitem.h
src/xmpp/xmpp-im/xmpp_vcard.h
src/xmpp/xmpp-im/xmpp_client.h
src/xmpp/xmpp-im/s5b.h
src/xmpp/xmpp-im/xmpp_url.h
src/xmpp/xmpp-im/xmpp_chatstate.h
src/xmpp/xmpp-im/xmpp_task.h
src/xmpp/xmpp-im/xmpp_address.h
src/xmpp/xmpp-im/xmpp_agentitem.h
src/xmpp/xmpp-im/filetransfer.h
src/xmpp/xmpp-im/xmpp_status.h
src/xmpp/xmpp-im/xmpp_captcha.h
src/xmpp/xmpp-im/xmpp_resourcelist.h
src/xmpp/xmpp-im/xmpp_liveroster.h
src/xmpp/xmpp-im/xmpp_resource.h
src/xmpp/xmpp-im/xmpp_rosteritem.h
src/xmpp/xmpp-im/xmpp_features.h
src/xmpp/xmpp-im/xmpp_caps.h
src/xmpp/xmpp-im/im.h
src/xmpp/sasl/digestmd5response.h
src/xmpp/sasl/digestmd5proplist.h
src/xmpp/sasl/plainmessage.h
src/xmpp/sasl/scramsha1response.h
src/xmpp/zlib/common.h
src/xmpp/zlib/zlibdecompressor.h
src/xmpp/zlib/zlibcompressor.h
src/xmpp/xmpp-core/xmpp_stanza.h
src/xmpp/xmpp-core/simplesasl.h
src/xmpp/xmpp-core/securestream.h
src/xmpp/xmpp-core/protocol.h
src/xmpp/xmpp-core/compressionhandler.h
src/xmpp/xmpp-core/xmlprotocol.h
src/xmpp/xmpp-core/sm.h
src/xmpp/xmpp-core/xmpp.h
src/xmpp/xmpp-core/xmpp_clientstream.h
src/xmpp/xmpp-core/xmpp_stream.h
src/xmpp/xmpp-core/td.h
src/xmpp/xmpp-core/parser.h

src/irisnet/noncore/stuntransaction.h
src/irisnet/noncore/stunbinding.h
src/irisnet/noncore/legacy/ndns.h
src/irisnet/noncore/legacy/safedelete.h
src/irisnet/noncore/legacy/servsock.h
src/irisnet/noncore/legacy/srvresolver.h
src/irisnet/noncore/stunallocate.h
src/irisnet/noncore/ice176.h
src/irisnet/noncore/processquit.h
src/irisnet/noncore/icelocaltransport.h
src/irisnet/corelib/irisnetglobal.h
src/irisnet/corelib/objectsession.h
src/irisnet/corelib/netavailability.h
src/irisnet/corelib/netnames.h
src/irisnet/corelib/irisnetplugin.h
src/irisnet/corelib/netinterface.h

src/jdns/src/jdns/jdns_packet.h
src/jdns/src/jdns/jdns_mdnsd.h
src/jdns/src/jdns/jdns_p.h
src/jdns/include/jdns/jdns.h
src/jdns/src/qjdns/qjdns_sock.h
src/jdns/src/qjdns/qjdns_p.h
src/jdns/src/qjdns/qjdnsshared_p.h
src/jdns/include/jdns/qjdns.h
src/jdns/include/jdns/qjdnsshared.h
src/jdns/include/jdns/jdns_export.h

)

add_definitions(-DIRISNET_STATIC)
add_definitions(-DJDNS_STATIC)

if(CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
endif(CMAKE_COMPILER_IS_GNUCXX)

kde4_add_library(iris_kopete STATIC ${libiris_SRCS})

set(iris_kopete_libs ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY}
                     ${IDN_LIBRARIES} ${QCA2_LIBRARIES} ${ZLIB_LIBRARIES} )

if(WIN32)
  set(iris_kopete_libs ${iris_kopete_libs} ws2_32)
endif(WIN32)

# On Solaris, some of the name resolution functions are in libnsl;
# this needs to be linked in if found. Copied from kdelibs.
include(CheckLibraryExists)
check_library_exists(nsl gethostbyname "" HAVE_NSL_LIBRARY)

if(HAVE_NSL_LIBRARY)
  # This is probably Solaris, and libiris needs to link
  # to libnsl for gethostbyname
  set(iris_kopete_libs ${iris_kopete_libs} nsl)
endif(HAVE_NSL_LIBRARY)
target_link_libraries(iris_kopete ${iris_kopete_libs})

########### install files ###############

=== protocols/groupwise/libgroupwise/tests/CMakeLists.txt ===

include_directories( ${KOPETE_SOURCE_DIR}/protocols/groupwise ${KOPETE_SOURCE_DIR}/protocols/groupwise/libgroupwise ${KOPETE_SOURCE_DIR}/protocols/groupwise/libgroupwise/qca/src )


########### next target ###############

set(clientstream_test_SRCS clientstream_test.cpp )

kde4_add_executable(clientstream_test ${clientstream_test_SRCS})

target_link_libraries(clientstream_test  ${KDE4_KDECORE_LIBS} qt-mt )


########### next target ###############

set(field_test_SRCS field_test.cpp )

kde4_add_executable(field_test ${field_test_SRCS})

target_link_libraries(field_test  ${KDE4_KDECORE_LIBS} gwtest qt-mt )


########### next target ###############

set(coreprotocol_test_SRCS coreprotocol_test.cpp )

kde4_add_executable(coreprotocol_test ${coreprotocol_test_SRCS})

target_link_libraries(coreprotocol_test  ${KDE4_KDECORE_LIBS} gwtest qt-mt )


########### next target ###############

set(client_test_SRCS client_test.cpp )

kde4_add_executable(client_test ${client_test_SRCS})

target_link_libraries(client_test  ${KDE4_KDECORE_LIBS} gwtest qt-mt )


########### install files ###############

=== debian/changelog ===
kopete (4:17.08.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing include, fixing FTBFS with glibc 2.28 (Closes: #916151,
    #920358)

 -- Hilko Bengen <bengen@debian.org>  Sat, 09 Feb 2019 12:53:00 +0100

kopete (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Use https for Format in copyright.
  * Disable the build of the skypebuttons NPAPI browser plugin, which is no
    more useful now: (Closes: #777081)
    - pass -DBUILD_skypebuttons=OFF to cmake
    - update install files
  * Switch kopete to srtp2: (Closes: #898084)
    - backport ArchLinux patch for it; patch kopete-srtp2.patch
    - switch libsrtp0-dev build dependency with libsrtp2-dev
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update lintian overrides.

  [ Sandro Knauß ]
  * Fix "Please migrate to openssl1.1 in buster" (Closes: #858938)
    - Added patch from Fedora kopete-17.08.3-openssl-1.1.patch.
    - Replaces Build-Dependency from libssl1.0-dev to libssl-dev.

  [ Felix Lechner ]
  * Port jabber protocol to recent Linphone libraries (Closes: #890606)

 -- Pino Toscano <pino@debian.org>  Sun, 11 Nov 2018 11:59:43 +0100

kopete (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879362)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Update the patches:
    - fix_otr.patch: drop, backported from upstream
  * Update the build dependencies:
    - remove libsoprano-dev, not needed
    - add libqjson-dev, required for the Jabber protocol
  * Remove unused entry in not-installed.
  * Update symbols file.
  * Update lintian overrides.
  * Remove the kdepim-runtime recommend, as it is not useful anymore.
  * Switch from the transitional libqca2-plugin-ossl recommend to
    libqca2-plugins.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:39:38 +0100

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 11~),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               kdepimlibs5-dev,
               libasound2-dev (>= 1.0.14a) [linux-any],
               libboost-dev,
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgif-dev,
               libgnutls28-dev,
               libgpgme11-dev,
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libqca2-dev (>= 2.0.0),
               libqimageblitz-dev (>= 1:0.0.4),
               libqjson-dev,
               libsqlite3-dev,
               libsrtp2-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopete
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopete.git

Package: libkopete4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: libqca2-plugins, libqt4-sql-sqlite
Suggests: imagemagick, kdeartwork-emoticons, khelpcenter, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkopete4}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
endif

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_skypebuttons=OFF $(CONFIGURE_ARGS)

override_dh_install:
	grep -v libjingle-call debian/kopete.install > debian/kopete.install.kfreebsd
	$(overridden_command)

override_dh_clean:
	$(overridden_command)
	rm -f debian/kopete.install.kfreebsd

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_shlibdeps:
	$(overridden_command) -plibkopete4 -- -xkopete -xkdepim-runtime
	$(overridden_command) --remaining-packages -- -xkdepim-runtime

## kopete 17.08.3-0ubuntu3%2B9.0trisquel1

=== protocols/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 option(WITH_wlm "Enable Window Live Messenger support" ON)
 option(WITH_WLM_MEDIASTREAMER "Enable Windows Live Messenger voice clip support" ON)
 option(WITH_meanwhile "Enable Kopete meanwhile protocol" ON)
-option(WITH_skype "Enable Kopete Skype protocol" ON)
+option(WITH_skype "Enable Kopete Skype protocol" OFF)
 
 # Disable jingle support because it is not working and libiris does not support it
 #if(LIBORTP_FOUND AND SPEEX_FOUND AND ALSA_FOUND AND WITH_JINGLE)

=== libkopete/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set(kopete_test_mock_SRCS
mock/kopeteaccount_mock.cpp
mock/kopetecontact_mock.cpp
mock/kopetemessage_mock.cpp
mock/kopetemetacontact_mock.cpp
mock/kopeteprotocol_mock.cpp
)

#add_subdirectory( mock )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/mock/ ${KOPETE_INCLUDES} )

add_definitions( -DSRCDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"" )

set( KOPETE_TEST_LIBRARIES ${QT_QTTEST_LIBRARY} ${KDE4_KIO_LIBS} kopete )

########### Automated tests ###############

# this test uses an ugly hack which does not work on win32 
if(NOT WIN32)
        set(kopetemessage_test_SRCS kopetemessage_test.cpp ${kopete_test_mock_SRCS})
        
                
        kde4_add_unit_test(kopetemessage_test ${kopetemessage_test_SRCS})
        
        target_link_libraries(kopetemessage_test  ${KOPETE_TEST_LIBRARIES} )
        
endif(NOT WIN32)
####

set(kopetetask_test_SRCS kopetetask_test.cpp )

kde4_add_unit_test(kopetetask_test ${kopetetask_test_SRCS})

target_link_libraries(kopetetask_test  ${KOPETE_TEST_LIBRARIES} )

####

set(statusmessage_test_SRCS statusmessage_test.cpp )


kde4_add_unit_test(statusmessage_test  ${statusmessage_test_SRCS})

target_link_libraries(statusmessage_test  ${KOPETE_TEST_LIBRARIES} )

####

#set(xmlcontactstorage_test_SRCS xmlcontactstorage_test.cpp)


#kde4_add_unit_test(xmlcontactstorage_test  ${xmlcontactstorage_test_SRCS})

#target_link_libraries(xmlcontactstorage_test ${KOPETE_TEST_LIBRARIES})

########### Tests Program ###############

set(avatarselector_test_SRCS avatarselectortest_program.cpp)

kde4_add_executable(avatarselectortest_program TEST ${avatarselector_test_SRCS})

target_link_libraries(avatarselectortest_program ${KOPETE_TEST_LIBRARIES})

########### install files ###############

=== plugins/history2/CMakeLists.txt ===
include_directories(
${KOPETE_INCLUDES}
)


########### next target ###############

set(kopete_history2_PART_SRCS
   history2plugin.cpp
   history2dialog.cpp
   history2logger.cpp
   history2guiclient.cpp
   history2import.cpp
)

kde4_add_ui_files(kopete_history2_PART_SRCS history2viewer.ui )

kde4_add_kcfg_files(kopete_history2_PART_SRCS history2config.kcfgc )


kde4_add_plugin(kopete_history2 ${kopete_history2_PART_SRCS})


target_link_libraries(kopete_history2  ${KDE4_KHTML_LIBS} kopete ${QT_QTSQL_LIBRARY})

install(TARGETS kopete_history2  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_history2_PART_SRCS history2preferences.cpp history2logger.cpp history2import.cpp)

kde4_add_ui_files(kcm_kopete_history2_PART_SRCS history2prefsui.ui )

kde4_add_kcfg_files(kcm_kopete_history2_PART_SRCS history2config.kcfgc )


kde4_add_plugin(kcm_kopete_history2 ${kcm_kopete_history2_PART_SRCS})


target_link_libraries(kcm_kopete_history2  ${KDE4_KUTILS_LIBS} ${KDE4_KHTML_LIBS} kopete ${QT_QTSQL_LIBRARY})

install(TARGETS kcm_kopete_history2  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES history2config.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kopete_history2.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES history2ui.rc  history2chatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_history2)
install( FILES kopete_history2_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== debian/changelog ===
kopete (4:17.08.3-0ubuntu3+9.0trisquel1) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 21:49:30 +0000

kopete (4:17.08.3-0ubuntu3) bionic; urgency=medium

  * Build explicitely with libssl1.0-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 18:19:34 +0000

kopete (4:17.08.3-0ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:41:47 +0000

kopete (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Update symbols
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:45 +0000

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.38~),
               kdepimlibs5-dev,
               libasound2-dev (>= 1.0.14a) [linux-any],
               libboost-dev,
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgif-dev,
               libgnutls28-dev,
               libgpgme11-dev,
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libqca2-dev (>= 2.0.0),
               libqimageblitz-dev (>= 1:0.0.4),
               libqjson-dev,
               libsoprano-dev,
               libsqlite3-dev,
               libsrtp0-dev,
               libssl1.0-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete

Package: libkopete4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: kdepim-runtime, libqca2-plugin-ossl, libqt4-sql-sqlite
Suggests: imagemagick, kdeartwork-emoticons, khelpcenter, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkopete4}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.
